# List Crypto Deposit Addresses

Lists crypto deposit addresses for the authenticated merchant. Supports cursor-based pagination and optional filtering by customer, network, or on-chain address.

## Request

```curl
curl -G https://api.stripe.com/v1/crypto/deposit_addresses \
  -u "<<YOUR_SECRET_KEY>>" \
  -d limit=3
```

### Response

```json
{
  "object": "list",
  "url": "/v1/crypto/deposit_addresses",
  "has_more": false,
  "data": [
    {
      "id": "cda_1MzUx82eZvKYlo2CB6XoRDA6",
      "object": "crypto.deposit_address",
      "livemode": false,
      "created": 1719947634,
      "network": "tempo",
      "address": "0x5ff8d73e8bccd3701c9aef78389f3b9771172b5c",
      "supported_tokens": [
        {
          "token_currency": "usdc",
          "token_contract_address": "0x20c0000000000000000000009e8d7eb59b783726"
        }
      ],
      "metadata": {}
    }
  ]
}
```

## Returns

Returns a list of crypto.deposit_address objects

## Parameters

- `address` (string, optional)
  Only return the deposit address matching this on-chain address.

- `customer` (string, optional)
  Only return deposit addresses scoped to this [Customer](https://docs.stripe.com/api/customers/object.md).

- `customer_account` (string, optional)
  Only return deposit addresses belonging to this customer account.

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `network` (enum, optional)
  Only return deposit addresses for this blockchain network.
Possible enum values:
  - `base`
    Base network.

  - `solana`
    Solana network.

  - `tempo`
    Tempo network.

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
